Hi! My queue was unhealthy with flow lates. I open...
# prefect-community
e
Hi! My queue was unhealthy with flow lates. I opened tbe agent log and got this error below.
Copy code
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/home/ubuntu/anaconda3/envs/prefect/lib/python3.8/site-packages/prefect/agent.py", line 154, in get_and_submit_f>
    queue_runs = await self.client.get_runs_in_work_queue(
  File "/home/ubuntu/anaconda3/envs/prefect/lib/python3.8/site-packages/prefect/client/orion.py", line 763, in get_runs_>
    response = await <http://self._client.post|self._client.post>(
  File "/home/ubuntu/anaconda3/envs/prefect/lib/python3.8/site-packages/httpx/_client.py", line 1842, in post
    return await self.request(
  File "/home/ubuntu/anaconda3/envs/prefect/lib/python3.8/site-packages/httpx/_client.py", line 1527, in request
    return await self.send(request, auth=auth, follow_redirects=follow_redirects)
  File "/home/ubuntu/anaconda3/envs/prefect/lib/python3.8/site-packages/prefect/client/base.py", line 160, in send
    await super().send(*args, **kwargs)
  File "/home/ubuntu/anaconda3/envs/prefect/lib/python3.8/site-packages/httpx/_client.py", line 1614, in send
    response = await self._send_handling_auth(
  File "/home/ubuntu/anaconda3/envs/prefect/lib/python3.8/site-packages/httpx/_client.py", line 1642, in _send_handling_>
    response = await self._send_handling_redirects(
  File "/home/ubuntu/anaconda3/envs/prefect/lib/python3.8/site-packages/httpx/_client.py", line 1679, in _send_handling_>
    response = await self._send_single_request(request)
  File "/home/ubuntu/anaconda3/envs/prefect/lib/python3.8/site-packages/httpx/_client.py", line 1716, in _send_single_re>
    response = await transport.handle_async_request(request)
  File "/home/ubuntu/anaconda3/envs/prefect/lib/python3.8/site-packages/httpx/_transports/default.py", line 353, in hand>
    resp = await self._pool.handle_async_request(req)
  File "/home/ubuntu/anaconda3/envs/prefect/lib/python3.8/contextlib.py", line 131, in __exit__
    self.gen.throw(type, value, traceback)
  File "/home/ubuntu/anaconda3/envs/prefect/lib/python3.8/site-packages/httpx/_transports/default.py", line 77, in map_h>
    raise mapped_exc(message) from exc
httpx.LocalProtocolError: Invalid input ConnectionInputs.SEND_HEADERS in state ConnectionState.CLOSED
Currently Prefect is deployed on EC2 with agent running as process with systemd. Prefect version is 2.6.9 Tnks!
1
m
Hey @Esdras Lopes Nani We actually have an open GitHub issues for this https://github.com/PrefectHQ/prefect/issues/7442